import pytest

from ids_list import get_ids
import path_setting
from in_common.base_request import BaseRequest
from all_doctor_api.web_request import web_request


class TestCpcPromoteFlows:
    data = BaseRequest().api_load(path_setting.CPCPROMOTEFLOWSEXCEL)
    cpcpromoteflowsexcel_case, cpcpromoteflowsexcel_data = get_ids(data, "cpc_promote_flows_excel")


    @pytest.mark.parametrize("param",cpcpromoteflowsexcel_data,ids=cpcpromoteflowsexcel_case)
    def test_cpc_promote_flows_excel(self, param):
        '''点点通商品-历史每月推广明细-导出'''
        r = web_request().cpc_promote_flows_excel(param["month"])
        assert r["error"] == 0


